CUDA Runtime API (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 6.6. cudaExtent Struct Reference

## [Data types used by CUDA Runtime]

CUDA extent

See also:

make_cudaExtent

### Public Variables

size_t depth
size_t height
size_t width

### Variables

size_t cudaExtent::depth [inherited]

  Depth in elements

size_t cudaExtent::height [inherited]

  Height in elements

size_t cudaExtent::width [inherited]

  Width in elements when referring to array memory, in bytes when referring to linear memory